package com.starry.admin.modules.order.service;

import com.starry.admin.modules.order.module.dto.OrderCompletionContext;
import com.starry.admin.modules.order.module.dto.OrderRefundContext;

public interface IOrderLifecycleService {

    void completeOrder(String orderId, OrderCompletionContext context);

    void refundOrder(OrderRefundContext context);
}
